Subject: bug#77115: closed (Re: bug#77115: [shepherd] Attempt to suspend fiber within continuation barrier)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 10 Apr 2025 14:26:03 +0000

Your bug report

#77115: [shepherd] Attempt to suspend fiber within continuation barrier

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
77115: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=77115
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#77115: [shepherd] Attempt to suspend fiber within continuation barrier
From: Maxim Cournoyer <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Thu, 10 Apr 2025 23:24:50 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Ludovic,

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> Maxim Cournoyer <[email-masked]> skribis:
>
>> $ sudo herd schedule mcron 1000 | grep mumi
>> herd: error: exception caught while executing 'schedule' on service 'mcron':
>> Attempt to suspend fiber within continuation barrier
>
> (For the record, that’s Shepherd 1.0.1 currently running on berlin.)
>
> Can you reproduce it in a VM?  With 1.0.2 vs. 1.0.3?
>
> On my laptop, which runs 1.0.3ish, I can’t seem to hit this:
>
> $ sudo herd schedule mcron 20000|wc -l
> 60000
>
>> Another data point; when using virt-manager (which uses libvirt+qemu) to
>> run my own operating system definition, it triggers a similar hang/crash
>> in Shepherd during the boot; see the screenshot below.  I haven't yet
>> isolated which service causes it.
>
> Do you have a reproducer for this one?
>
> This looks a lot like what was fixed by
> <https://git.savannah.gnu.org/cgit/shepherd.git/commit/?id=f1a82845eaf8851af9a811e5a1d185b68b1c363f>,
> which is in 1.0.3.

I stopped being able to reproduce it after some time, probably following
a reconfigure/reboot.

Closing, thanks for the follow-up on all things Shepherds!

-- 
Thanks,
Maxim

Subject: [shepherd] Attempt to suspend fiber within continuation barrier
From: Maxim Cournoyer <[email-masked]>
To: bug-guix <[email-masked]>
Date: Wed, 19 Mar 2025 20:52:21 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Seen on Berlin:

--8<---------------cut here---------------start------------->8---
$ sudo herd schedule mcron 1000 | grep mumi
herd: error: exception caught while executing 'schedule' on service 'mcron':
Attempt to suspend fiber within continuation barrier
--8<---------------cut here---------------end--------------->8---

-- 
Thanks,
Maxim